Show Identity
Test if your API key is valid, and which roles it has.
GET
/
v1
/
identity
Show Identity
curl --request GET \
--url https://api.incident.io/v1/identity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v1/identity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v1/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identity": {
"dashboard_url": "https://app.incident.io/my-org",
"name": "Alertmanager token",
"roles": [
"viewer"
],
"team_roles": [
"catalog_editor"
],
"teams": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"name": "Platform"
}
]
}
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
{
"dashboard_url": "https://app.incident.io/my-org",
"name": "Alertmanager token",
"roles": ["viewer"],
"team_roles": ["catalog_editor"],
"teams": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"name": "Platform"
}
]
}
Was this page helpful?
⌘I
Show Identity
